XpInputSelected(3Xp)

NAME
XpInputSelected - Queries which X Print events the client has selected to receive from the specific print context.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

unsigned long XpInputSelected ( display, context, event_mask )
      Display *display;
      XPContext context;
      unsigned long *all_event_mask_return;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

context
    Specifies the print context to which the query is being made.

all_event_mask_return
    Returns the set of events that any client has selected.

DESCRIPTION

XpInputSelected returns a bit mask describing which event classes the client has selected to receive. The value returned to all_event_mask_return is the union of every client's event mask. XpInputSelected queries which X Print events from the specified print context the client has selected to receive. The X Print Events are generated from a print context, and not from a window as is the case with XSelectInput. As events arrive, the context field in the event is used to determine which print context generated the event. See XpSelectInput for the event_mask and all_event_mask (??return??) values.

DIAGNOSTICS

XPBadContext
    The specified print context is not valid.

SEE ALSO
XpSelectInput(3Xp)